#36 Export launch configuration Debugger tab for reuse

Next Release
closed-fixed
None
5
2014-04-12
2014-02-19
John Moule
No

Hi,

I would like to utilise the launch configuration declared in the following plugin:

ilg.gnuarmeclipse.debug.gdbjtag.jlink (1.4.2)

Would it be possible to make a few changes to facilitate this please?

I would be very grateful if you would export the following packages:

ilg.gnuarmeclipse.debug.gdbjtag.jlink,
ilg.gnuarmeclipse.debug.gdbjtag.jlink.ui

and modify the visibility of the following constructor to protected:

ilg.gnuarmeclipse.debug.gdbjtag.jlink.ui.TabDebugger.TabDebugger(TabStartup)

Patch attached.

I would also like to use the launch configuration in your recent openocd (ilg.gnuarmeclipse.debug.gdbjtag.openocd) work. If possible would you be able to make the equivalent changes in there too please? I don't have a patch at the moment for those.

Best rgds john moule

1 Attachments

Related

Feature requests: #36

Discussion

  • Liviu Ionescu (ilg)

    hello John, I applied the requested patches, both for jlink and openocd.

    please check if it works for you, the binaries are published on

    http://gnuarmeclipse.sourceforge.net/updates-test

    the current snapshot is 201402191401

    however, one word of caution, the launch classes are a real mess, I tried to keep as much as possible from the cdt classes, but now, at the end, I'm not sure it was worth the effort. probably bringing all parent code in the plug-in would make the code cleaner.

     
  • John Moule

    John Moule - 2014-02-19

    Hi Liviu,

    thanks for the quick response. I've synced my local git with your changes, rebuilt and all looks good.

    Many thanks, john

     
    • John Moule

      John Moule - 2014-02-27

      Hi Liviu,

      I wondering if you had any plans to make a release in the near future, that
      would contain this change?

      Kind rgds john

      On 19 February 2014 15:23, John Moule johnmoule@users.sf.net wrote:

      Hi Liviu,

      thanks for the quick response. I've synced my local git with your changes,
      rebuilt and all looks good.

      Many thanks, john

      Status: open
      Created: Wed Feb 19, 2014 12:16 PM UTC by John Moule
      Last Updated: Wed Feb 19, 2014 02:10 PM UTC
      Owner: Liviu Ionescu (ilg)

      Hi,

      I would like to utilise the launch configuration declared in the following
      plugin:

      ilg.gnuarmeclipse.debug.gdbjtag.jlink (1.4.2)

      Would it be possible to make a few changes to facilitate this please?

      I would be very grateful if you would export the following packages:

      ilg.gnuarmeclipse.debug.gdbjtag.jlink,
      ilg.gnuarmeclipse.debug.gdbjtag.jlink.ui

      and modify the visibility of the following constructor to protected:

      ilg.gnuarmeclipse.debug.gdbjtag.jlink.ui.TabDebugger.TabDebugger(TabStartup)

      Patch attached.

      I would also like to use the launch configuration in your recent openocd
      (ilg.gnuarmeclipse.debug.gdbjtag.openocd) work. If possible would you be
      able to make the equivalent changes in there too please? I don't have a
      patch at the moment for those.

      Best rgds john moule

      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/gnuarmeclipse/feature-requests/36/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Feature requests: #36

      • Liviu Ionescu (ilg)

        how urgent is this?

        I'm in the middle of some other changes, It'll take me probably more than one week to complete.

        if this is urgent, I can stash all changes and publish only the existing fixes.

         
      • Liviu Ionescu (ilg)

        and please, do not post via email to this tracker, use the web interface.

         
  • John Moule

    John Moule - 2014-02-27

    Good evening,

    it would be useful to have it tomorrow (fri). But I would be happy to take it from the http://gnuarmeclipse.sourceforge.net/updates-test if there's nothing in there too risky?

    cheers john

    p.s. apologies for previously posting via email.

     
  • Liviu Ionescu (ilg)

    unfortunately I cannot do it by tomorrow. try the version on updates-test, it should be functional, except the project templates, which might not work on all variants.

     
  • John Moule

    John Moule - 2014-02-27

    Thanks I'll use the updates-test.

     
  • Liviu Ionescu (ilg)

    • status: open --> closed-fixed
     
  • Liviu Ionescu (ilg)

    fixed in 2.2.1-201404120702

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks